import { Ref } from 'vue';
import type { AriaInvalid, Booleanish, ButtonVariant, Size } from '../../types';
interface BFormCheckboxGroupProps {
    id?: string;
    form?: string;
    modelValue?: Array<string | number | Record<string, unknown>>;
    ariaInvalid?: AriaInvalid;
    autofocus?: Booleanish;
    buttonVariant?: ButtonVariant;
    buttons?: Booleanish;
    disabled?: Booleanish;
    disabledField?: string;
    htmlField?: string;
    name?: string;
    options?: Array<string | Record<string, unknown>>;
    plain?: Booleanish;
    required?: Booleanish;
    size?: Size;
    stacked?: Booleanish;
    state?: Booleanish;
    switches?: Booleanish;
    textField?: string;
    validated?: Booleanish;
    valueField?: string;
}
declare const _sfc_main: import("vue").DefineComponent<{
    id: {
        type: StringConstructor;
        required: false;
    };
    form: {
        type: StringConstructor;
        required: false;
    };
    modelValue: {
        type: ArrayConstructor;
        required: false;
        default: () => never[];
    };
    ariaInvalid: {
        type: null;
        required: false;
        default: undefined;
    };
    autofocus: {
        type: null;
        required: false;
        default: boolean;
    };
    buttonVariant: {
        type: null;
        required: false;
        default: string;
    };
    buttons: {
        type: null;
        required: false;
        default: boolean;
    };
    disabled: {
        type: null;
        required: false;
        default: boolean;
    };
    disabledField: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    htmlField: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    name: {
        type: StringConstructor;
        required: false;
    };
    options: {
        type: ArrayConstructor;
        required: false;
        default: () => never[];
    };
    plain: {
        type: null;
        required: false;
        default: boolean;
    };
    required: {
        type: null;
        required: false;
        default: boolean;
    };
    size: {
        type: null;
        required: false;
    };
    stacked: {
        type: null;
        required: false;
        default: boolean;
    };
    state: {
        type: null;
        required: false;
        default: undefined;
    };
    switches: {
        type: null;
        required: false;
        default: boolean;
    };
    textField: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    validated: {
        type: null;
        required: false;
        default: boolean;
    };
    valueField: {
        type: StringConstructor;
        required: false;
        default: string;
    };
}, {
    props: any;
    autofocusBoolean: import("vue").ComputedRef<boolean>;
    buttonsBoolean: import("vue").ComputedRef<boolean>;
    disabledBoolean: import("vue").ComputedRef<boolean>;
    plainBoolean: import("vue").ComputedRef<boolean>;
    requiredBoolean: import("vue").ComputedRef<boolean>;
    stackedBoolean: import("vue").ComputedRef<boolean>;
    stateBoolean: import("vue").ComputedRef<boolean | undefined>;
    switchesBoolean: import("vue").ComputedRef<boolean>;
    validatedBoolean: import("vue").ComputedRef<boolean>;
    emit: {
        (e: 'input', value: Exclude<BFormCheckboxGroupProps['modelValue'], undefined>): void;
        (e: 'update:modelValue', value: Exclude<BFormCheckboxGroupProps['modelValue'], undefined>): void;
        (e: 'change', value: Exclude<BFormCheckboxGroupProps['modelValue'], undefined>): void;
    };
    slots: Readonly<{
        [name: string]: import("vue").Slot | undefined;
    }>;
    slotsName: string;
    computedId: import("vue").ComputedRef<string>;
    computedName: import("vue").ComputedRef<string>;
    localValue: import("vue").WritableComputedRef<(string | number | Record<string, unknown>)[]>;
    checkboxList: import("vue").ComputedRef<any[]>;
    classesObject: {
        required: boolean;
        ariaInvalid: AriaInvalid;
        state: boolean | undefined;
        validated: boolean;
        buttons: boolean;
        stacked: boolean;
        size: Size;
    };
    attrs: import("vue").ComputedRef<any>;
    classes: import("vue").ComputedRef<any>;
    BFormCheckbox: import("vue").DefineComponent<{
        ariaLabel: {
            type: StringConstructor;
            required: false;
        };
        ariaLabelledBy: {
            type: StringConstructor;
            required: false;
        };
        form: {
            type: StringConstructor;
            required: false;
        };
        indeterminate: {
            type: null;
            required: false;
        };
        name: {
            type: StringConstructor;
            required: false;
        };
        id: {
            type: StringConstructor;
            required: false;
            default: undefined;
        };
        autofocus: {
            type: null;
            required: false;
            default: boolean;
        };
        plain: {
            type: null;
            required: false;
            default: boolean;
        };
        button: {
            type: null;
            required: false;
            default: boolean;
        };
        switch: {
            type: null;
            required: false;
            default: boolean;
        };
        disabled: {
            type: null;
            required: false;
            default: boolean;
        };
        buttonVariant: {
            type: null;
            required: false;
            default: string;
        };
        inline: {
            type: null;
            required: false;
            default: boolean;
        };
        required: {
            type: null;
            required: false;
            default: undefined;
        };
        size: {
            type: null;
            required: false;
            default: string;
        };
        state: {
            type: null;
            required: false;
            default: undefined;
        };
        uncheckedValue: {
            type: (StringConstructor | BooleanConstructor | ObjectConstructor | NumberConstructor | ArrayConstructor | SetConstructor)[];
            required: false;
            default: boolean;
        };
        value: {
            type: (StringConstructor | BooleanConstructor | ObjectConstructor | NumberConstructor | ArrayConstructor | SetConstructor)[];
            required: false;
            default: boolean;
        };
        modelValue: {
            type: (StringConstructor | BooleanConstructor | ObjectConstructor | NumberConstructor | ArrayConstructor | SetConstructor)[];
            required: false;
            default: undefined;
        };
    }, {
        props: any;
        indeterminateBoolean: import("vue").ComputedRef<boolean | undefined>;
        autofocusBoolean: import("vue").ComputedRef<boolean>;
        plainBoolean: import("vue").ComputedRef<boolean>;
        buttonBoolean: import("vue").ComputedRef<boolean>;
        switchBoolean: import("vue").ComputedRef<boolean>;
        disabledBoolean: import("vue").ComputedRef<boolean>;
        inlineBoolean: import("vue").ComputedRef<boolean>;
        requiredBoolean: import("vue").ComputedRef<boolean | undefined>;
        stateBoolean: import("vue").ComputedRef<boolean | undefined>;
        emit: {
            (e: "update:modelValue", value: unknown): void;
            (e: "input", value: unknown): void;
            (e: "change", value: unknown): void;
        };
        computedId: import("vue").ComputedRef<string>;
        input: Ref<HTMLElement>;
        isFocused: Ref<boolean>;
        localValue: import("vue").WritableComputedRef<boolean | unknown[] | Set<unknown> | undefined>;
        isChecked: import("vue").ComputedRef<boolean>;
        classesObject: {
            plain: boolean;
            button: boolean;
            inline: boolean;
            switch: boolean;
            size: import("../../types/InputSize").default;
            state: boolean | undefined;
            buttonVariant: ButtonVariant;
        };
        classes: import("vue").ComputedRef<any>;
        inputClasses: import("vue").ComputedRef<any>;
        labelClasses: import("vue").ComputedRef<any>;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:modelValue" | "input" | "change")[], "update:modelValue" | "input" | "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        ariaLabel: {
            type: StringConstructor;
            required: false;
        };
        ariaLabelledBy: {
            type: StringConstructor;
            required: false;
        };
        form: {
            type: StringConstructor;
            required: false;
        };
        indeterminate: {
            type: null;
            required: false;
        };
        name: {
            type: StringConstructor;
            required: false;
        };
        id: {
            type: StringConstructor;
            required: false;
            default: undefined;
        };
        autofocus: {
            type: null;
            required: false;
            default: boolean;
        };
        plain: {
            type: null;
            required: false;
            default: boolean;
        };
        button: {
            type: null;
            required: false;
            default: boolean;
        };
        switch: {
            type: null;
            required: false;
            default: boolean;
        };
        disabled: {
            type: null;
            required: false;
            default: boolean;
        };
        buttonVariant: {
            type: null;
            required: false;
            default: string;
        };
        inline: {
            type: null;
            required: false;
            default: boolean;
        };
        required: {
            type: null;
            required: false;
            default: undefined;
        };
        size: {
            type: null;
            required: false;
            default: string;
        };
        state: {
            type: null;
            required: false;
            default: undefined;
        };
        uncheckedValue: {
            type: (StringConstructor | BooleanConstructor | ObjectConstructor | NumberConstructor | ArrayConstructor | SetConstructor)[];
            required: false;
            default: boolean;
        };
        value: {
            type: (StringConstructor | BooleanConstructor | ObjectConstructor | NumberConstructor | ArrayConstructor | SetConstructor)[];
            required: false;
            default: boolean;
        };
        modelValue: {
            type: (StringConstructor | BooleanConstructor | ObjectConstructor | NumberConstructor | ArrayConstructor | SetConstructor)[];
            required: false;
            default: undefined;
        };
    }>> & {
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
        onInput?: ((...args: any[]) => any) | undefined;
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        id: string;
        required: any;
        modelValue: string | number | boolean | unknown[] | Record<string, any> | Set<unknown>;
        button: any;
        disabled: any;
        size: any;
        inline: any;
        state: any;
        autofocus: any;
        plain: any;
        switch: any;
        buttonVariant: any;
        uncheckedValue: string | number | boolean | unknown[] | Record<string, any> | Set<unknown>;
        value: string | number | boolean | unknown[] | Record<string, any> | Set<unknown>;
    }>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:modelValue" | "input" | "change")[], "update:modelValue" | "input" | "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    id: {
        type: StringConstructor;
        required: false;
    };
    form: {
        type: StringConstructor;
        required: false;
    };
    modelValue: {
        type: ArrayConstructor;
        required: false;
        default: () => never[];
    };
    ariaInvalid: {
        type: null;
        required: false;
        default: undefined;
    };
    autofocus: {
        type: null;
        required: false;
        default: boolean;
    };
    buttonVariant: {
        type: null;
        required: false;
        default: string;
    };
    buttons: {
        type: null;
        required: false;
        default: boolean;
    };
    disabled: {
        type: null;
        required: false;
        default: boolean;
    };
    disabledField: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    htmlField: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    name: {
        type: StringConstructor;
        required: false;
    };
    options: {
        type: ArrayConstructor;
        required: false;
        default: () => never[];
    };
    plain: {
        type: null;
        required: false;
        default: boolean;
    };
    required: {
        type: null;
        required: false;
        default: boolean;
    };
    size: {
        type: null;
        required: false;
    };
    stacked: {
        type: null;
        required: false;
        default: boolean;
    };
    state: {
        type: null;
        required: false;
        default: undefined;
    };
    switches: {
        type: null;
        required: false;
        default: boolean;
    };
    textField: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    validated: {
        type: null;
        required: false;
        default: boolean;
    };
    valueField: {
        type: StringConstructor;
        required: false;
        default: string;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    onInput?: ((...args: any[]) => any) | undefined;
    onChange?: ((...args: any[]) => any) | undefined;
}, {
    required: any;
    modelValue: unknown[];
    disabled: any;
    validated: any;
    state: any;
    autofocus: any;
    plain: any;
    buttonVariant: any;
    ariaInvalid: any;
    buttons: any;
    disabledField: string;
    htmlField: string;
    options: unknown[];
    stacked: any;
    switches: any;
    textField: string;
    valueField: string;
}>;
export default _sfc_main;
