import type { AriaInvalid, ButtonVariant, Size } from '../../types';
import { Ref } from 'vue';
declare const _sfc_main: import("vue").DefineComponent<{
    size: {
        type: null;
        required: false;
    };
    form: {
        type: StringConstructor;
        required: false;
    };
    id: {
        type: StringConstructor;
        required: false;
    };
    name: {
        type: StringConstructor;
        required: false;
    };
    modelValue: {
        type: (StringConstructor | BooleanConstructor | ObjectConstructor | NumberConstructor | ArrayConstructor)[];
        required: false;
        default: string;
    };
    ariaInvalid: {
        type: null;
        required: false;
        default: undefined;
    };
    autofocus: {
        type: null;
        required: false;
        default: boolean;
    };
    buttonVariant: {
        type: null;
        required: false;
        default: string;
    };
    buttons: {
        type: null;
        required: false;
        default: boolean;
    };
    disabled: {
        type: null;
        required: false;
        default: boolean;
    };
    disabledField: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    htmlField: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    options: {
        type: ArrayConstructor;
        required: false;
        default: () => never[];
    };
    plain: {
        type: null;
        required: false;
        default: boolean;
    };
    required: {
        type: null;
        required: false;
        default: boolean;
    };
    stacked: {
        type: null;
        required: false;
        default: boolean;
    };
    state: {
        type: null;
        required: false;
        default: undefined;
    };
    textField: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    validated: {
        type: null;
        required: false;
        default: boolean;
    };
    valueField: {
        type: StringConstructor;
        required: false;
        default: string;
    };
}, {
    props: any;
    autofocusBoolean: import("vue").ComputedRef<boolean>;
    buttonsBoolean: import("vue").ComputedRef<boolean>;
    disabledBoolean: import("vue").ComputedRef<boolean>;
    plainBoolean: import("vue").ComputedRef<boolean>;
    requiredBoolean: import("vue").ComputedRef<boolean>;
    stackedBoolean: import("vue").ComputedRef<boolean>;
    stateBoolean: import("vue").ComputedRef<boolean | undefined>;
    validatedBoolean: import("vue").ComputedRef<boolean>;
    emit: {
        (e: 'input', value: unknown): void;
        (e: 'update:modelValue', value: unknown): void;
        (e: 'change', value: unknown): void;
    };
    slots: Readonly<{
        [name: string]: import("vue").Slot | undefined;
    }>;
    slotsName: string;
    computedId: import("vue").ComputedRef<string>;
    computedName: import("vue").ComputedRef<string>;
    localValue: import("vue").WritableComputedRef<string | number | boolean | unknown[] | Record<string, unknown>>;
    checkboxList: import("vue").ComputedRef<any[]>;
    classesObject: {
        required: boolean;
        ariaInvalid: AriaInvalid;
        state: boolean | undefined;
        validated: boolean;
        buttons: boolean;
        stacked: boolean;
        size: Size;
    };
    attrs: import("vue").ComputedRef<any>;
    classes: import("vue").ComputedRef<any>;
    BFormRadio: import("vue").DefineComponent<{
        ariaLabel: {
            type: StringConstructor;
            required: false;
        };
        ariaLabelledBy: {
            type: StringConstructor;
            required: false;
        };
        form: {
            type: StringConstructor;
            required: false;
        };
        id: {
            type: StringConstructor;
            required: false;
        };
        name: {
            type: StringConstructor;
            required: false;
        };
        size: {
            type: null;
            required: false;
        };
        autofocus: {
            type: null;
            required: false;
            default: boolean;
        };
        modelValue: {
            type: (StringConstructor | BooleanConstructor | ObjectConstructor | NumberConstructor | ArrayConstructor)[];
            required: false;
            default: undefined;
        };
        plain: {
            type: null;
            required: false;
            default: boolean;
        };
        button: {
            type: null;
            required: false;
            default: boolean;
        };
        switch: {
            type: null;
            required: false;
            default: boolean;
        };
        disabled: {
            type: null;
            required: false;
            default: boolean;
        };
        buttonVariant: {
            type: null;
            required: false;
            default: string;
        };
        inline: {
            type: null;
            required: false;
            default: boolean;
        };
        required: {
            type: null;
            required: false;
            default: boolean;
        };
        state: {
            type: null;
            required: false;
            default: undefined;
        };
        value: {
            type: (StringConstructor | BooleanConstructor | ObjectConstructor | NumberConstructor)[];
            required: false;
            default: boolean;
        };
    }, {
        props: any;
        autofocusBoolean: import("vue").ComputedRef<boolean>;
        plainBoolean: import("vue").ComputedRef<boolean>;
        buttonBoolean: import("vue").ComputedRef<boolean>;
        switchBoolean: import("vue").ComputedRef<boolean>;
        disabledBoolean: import("vue").ComputedRef<boolean>;
        inlineBoolean: import("vue").ComputedRef<boolean>;
        requiredBoolean: import("vue").ComputedRef<boolean>;
        stateBoolean: import("vue").ComputedRef<boolean | undefined>;
        emit: {
            (e: "input", value: string | number | boolean | unknown[] | Record<string, unknown>): void;
            (e: "change", value: string | number | boolean | unknown[] | Record<string, unknown>): void;
            (e: "update:modelValue", value: string | number | boolean | unknown[] | Record<string, unknown>): void;
        };
        computedId: import("vue").ComputedRef<string>;
        input: Ref<HTMLElement>;
        isFocused: Ref<boolean>;
        localValue: import("vue").WritableComputedRef<unknown>;
        isChecked: import("vue").ComputedRef<unknown>;
        classesObject: {
            plain: boolean;
            button: boolean;
            inline: boolean;
            switch: boolean;
            size: import("../../types/InputSize").default | undefined;
            state: boolean | undefined;
            buttonVariant: ButtonVariant;
        };
        classes: import("vue").ComputedRef<any>;
        inputClasses: import("vue").ComputedRef<any>;
        labelClasses: import("vue").ComputedRef<any>;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:modelValue" | "input" | "change")[], "update:modelValue" | "input" | "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        ariaLabel: {
            type: StringConstructor;
            required: false;
        };
        ariaLabelledBy: {
            type: StringConstructor;
            required: false;
        };
        form: {
            type: StringConstructor;
            required: false;
        };
        id: {
            type: StringConstructor;
            required: false;
        };
        name: {
            type: StringConstructor;
            required: false;
        };
        size: {
            type: null;
            required: false;
        };
        autofocus: {
            type: null;
            required: false;
            default: boolean;
        };
        modelValue: {
            type: (StringConstructor | BooleanConstructor | ObjectConstructor | NumberConstructor | ArrayConstructor)[];
            required: false;
            default: undefined;
        };
        plain: {
            type: null;
            required: false;
            default: boolean;
        };
        button: {
            type: null;
            required: false;
            default: boolean;
        };
        switch: {
            type: null;
            required: false;
            default: boolean;
        };
        disabled: {
            type: null;
            required: false;
            default: boolean;
        };
        buttonVariant: {
            type: null;
            required: false;
            default: string;
        };
        inline: {
            type: null;
            required: false;
            default: boolean;
        };
        required: {
            type: null;
            required: false;
            default: boolean;
        };
        state: {
            type: null;
            required: false;
            default: undefined;
        };
        value: {
            type: (StringConstructor | BooleanConstructor | ObjectConstructor | NumberConstructor)[];
            required: false;
            default: boolean;
        };
    }>> & {
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
        onInput?: ((...args: any[]) => any) | undefined;
        onChange?: ((...args: any[]) => any) | undefined;
    }, {
        required: any;
        modelValue: string | number | boolean | unknown[] | Record<string, any>;
        button: any;
        disabled: any;
        inline: any;
        state: any;
        autofocus: any;
        plain: any;
        switch: any;
        buttonVariant: any;
        value: string | number | boolean | Record<string, any>;
    }>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:modelValue" | "input" | "change")[], "update:modelValue" | "input" | "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    size: {
        type: null;
        required: false;
    };
    form: {
        type: StringConstructor;
        required: false;
    };
    id: {
        type: StringConstructor;
        required: false;
    };
    name: {
        type: StringConstructor;
        required: false;
    };
    modelValue: {
        type: (StringConstructor | BooleanConstructor | ObjectConstructor | NumberConstructor | ArrayConstructor)[];
        required: false;
        default: string;
    };
    ariaInvalid: {
        type: null;
        required: false;
        default: undefined;
    };
    autofocus: {
        type: null;
        required: false;
        default: boolean;
    };
    buttonVariant: {
        type: null;
        required: false;
        default: string;
    };
    buttons: {
        type: null;
        required: false;
        default: boolean;
    };
    disabled: {
        type: null;
        required: false;
        default: boolean;
    };
    disabledField: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    htmlField: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    options: {
        type: ArrayConstructor;
        required: false;
        default: () => never[];
    };
    plain: {
        type: null;
        required: false;
        default: boolean;
    };
    required: {
        type: null;
        required: false;
        default: boolean;
    };
    stacked: {
        type: null;
        required: false;
        default: boolean;
    };
    state: {
        type: null;
        required: false;
        default: undefined;
    };
    textField: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    validated: {
        type: null;
        required: false;
        default: boolean;
    };
    valueField: {
        type: StringConstructor;
        required: false;
        default: string;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    onInput?: ((...args: any[]) => any) | undefined;
    onChange?: ((...args: any[]) => any) | undefined;
}, {
    required: any;
    modelValue: string | number | boolean | unknown[] | Record<string, any>;
    disabled: any;
    validated: any;
    state: any;
    autofocus: any;
    plain: any;
    buttonVariant: any;
    ariaInvalid: any;
    buttons: any;
    disabledField: string;
    htmlField: string;
    options: unknown[];
    stacked: any;
    textField: string;
    valueField: string;
}>;
export default _sfc_main;
