import type { ColorVariant, SpinnerType } from '../../types';
declare const _sfc_main: import("vue").DefineComponent<{
    bgColor: {
        type: StringConstructor;
        required: false;
    };
    blur: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    fixed: {
        type: null;
        required: false;
        default: boolean;
    };
    noCenter: {
        type: null;
        required: false;
        default: boolean;
    };
    noFade: {
        type: null;
        required: false;
        default: boolean;
    };
    noWrap: {
        type: null;
        required: false;
        default: boolean;
    };
    opacity: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
        default: number;
    };
    overlayTag: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    rounded: {
        type: (StringConstructor | BooleanConstructor)[];
        required: false;
        default: boolean;
    };
    show: {
        type: null;
        required: false;
        default: boolean;
    };
    spinnerSmall: {
        type: null;
        required: false;
        default: boolean;
    };
    spinnerType: {
        type: null;
        required: false;
        default: string;
    };
    spinnerVariant: {
        type: null;
        required: false;
    };
    variant: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    wrapTag: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    zIndex: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
        default: number;
    };
}, {
    props: any;
    emit: {
        (e: 'click', value: MouseEvent): void;
        (e: 'hidden'): void;
        (e: 'shown'): void;
    };
    positionStyles: {
        top: number;
        left: number;
        bottom: number;
        right: number;
    };
    fixedBoolean: import("vue").ComputedRef<boolean>;
    noCenterBoolean: import("vue").ComputedRef<boolean>;
    noFadeBoolean: import("vue").ComputedRef<boolean>;
    noWrapBoolean: import("vue").ComputedRef<boolean>;
    showBoolean: import("vue").ComputedRef<boolean>;
    spinnerSmallBoolean: import("vue").ComputedRef<boolean>;
    computedRounded: import("vue").ComputedRef<string>;
    computedVariant: import("vue").ComputedRef<string>;
    computedAriaBusy: import("vue").ComputedRef<"true" | null>;
    spinnerAttrs: import("vue").ComputedRef<{
        type: SpinnerType;
        variant: ColorVariant | undefined;
        small: boolean;
    }>;
    overlayStyles: import("vue").ComputedRef<{
        zIndex: string | number;
        top: number;
        left: number;
        bottom: number;
        right: number;
    }>;
    overlayClasses: import("vue").ComputedRef<(string | {
        'position-absolute': boolean;
        'position-fixed': boolean;
    })[]>;
    blurClasses: import("vue").ComputedRef<string[]>;
    blurStyles: import("vue").ComputedRef<{
        opacity: string | number;
        backgroundColor: string | undefined;
        backdropFilter: string | undefined;
        top: number;
        left: number;
        bottom: number;
        right: number;
    }>;
    spinWrapperStyles: import("vue").ComputedRef<{
        top: number;
        left: number;
        bottom: number;
        right: number;
    } | {
        top: string;
        left: string;
        transform: string;
    }>;
    BTransition: import("vue").DefineComponent<{
        appear: {
            type: null;
            required: false;
            default: boolean;
        };
        mode: {
            type: null;
            required: false;
        };
        noFade: {
            type: null;
            required: false;
            default: boolean;
        };
        transProps: {
            type: ObjectConstructor;
            required: false;
        };
    }, {
        props: any;
        appearBoolean: import("vue").ComputedRef<boolean>;
        noFadeBoolean: import("vue").ComputedRef<boolean>;
        fadeProperties: import("vue").ComputedRef<{
            name: string;
            enterActiveClass: string;
            enterToClass: string;
            leaveActiveClass: string;
            leaveToClass: string;
            enterFromClass: string;
            leaveFromClass: string;
        }>;
        baseProperties: import("vue").ComputedRef<{
            name: string;
            enterActiveClass: string;
            enterToClass: string;
            leaveActiveClass: string;
            leaveToClass: string;
            enterFromClass: string;
            leaveFromClass: string;
            mode: import("../../types/TransitionMode").default | undefined;
            css: boolean;
        }>;
        computedAttrs: import("vue").ComputedRef<{
            name: string;
            enterActiveClass: string;
            enterToClass: string;
            leaveActiveClass: string;
            leaveToClass: string;
            enterFromClass: string;
            leaveFromClass: string;
            mode: import("../../types/TransitionMode").default | undefined;
            css: boolean;
        } | {
            appear: boolean;
            appearActiveClass: string;
            appearToClass: string;
            name: string;
            enterActiveClass: string;
            enterToClass: string;
            leaveActiveClass: string;
            leaveToClass: string;
            enterFromClass: string;
            leaveFromClass: string;
            mode: import("../../types/TransitionMode").default | undefined;
            css: boolean;
        }>;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        appear: {
            type: null;
            required: false;
            default: boolean;
        };
        mode: {
            type: null;
            required: false;
        };
        noFade: {
            type: null;
            required: false;
            default: boolean;
        };
        transProps: {
            type: ObjectConstructor;
            required: false;
        };
    }>>, {
        noFade: any;
        appear: any;
    }>;
    BSpinner: import("vue").DefineComponent<{
        label: {
            type: StringConstructor;
            required: false;
        };
        role: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        small: {
            type: null;
            required: false;
            default: boolean;
        };
        tag: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        type: {
            type: null;
            required: false;
            default: string;
        };
        variant: {
            type: null;
            required: false;
        };
    }, {
        props: any;
        smallBoolean: import("vue").ComputedRef<boolean>;
        classes: import("vue").ComputedRef<{
            [x: string]: boolean;
            'spinner-border': boolean;
            'spinner-border-sm': boolean;
            'spinner-grow': boolean;
            'spinner-grow-sm': boolean;
        }>;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        label: {
            type: StringConstructor;
            required: false;
        };
        role: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        small: {
            type: null;
            required: false;
            default: boolean;
        };
        tag: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        type: {
            type: null;
            required: false;
            default: string;
        };
        variant: {
            type: null;
            required: false;
        };
    }>>, {
        small: any;
        type: any;
        tag: string;
        role: string;
    }>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("shown" | "hidden" | "click")[], "shown" | "hidden" | "click", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    bgColor: {
        type: StringConstructor;
        required: false;
    };
    blur: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    fixed: {
        type: null;
        required: false;
        default: boolean;
    };
    noCenter: {
        type: null;
        required: false;
        default: boolean;
    };
    noFade: {
        type: null;
        required: false;
        default: boolean;
    };
    noWrap: {
        type: null;
        required: false;
        default: boolean;
    };
    opacity: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
        default: number;
    };
    overlayTag: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    rounded: {
        type: (StringConstructor | BooleanConstructor)[];
        required: false;
        default: boolean;
    };
    show: {
        type: null;
        required: false;
        default: boolean;
    };
    spinnerSmall: {
        type: null;
        required: false;
        default: boolean;
    };
    spinnerType: {
        type: null;
        required: false;
        default: string;
    };
    spinnerVariant: {
        type: null;
        required: false;
    };
    variant: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    wrapTag: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    zIndex: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
        default: number;
    };
}>> & {
    onShown?: ((...args: any[]) => any) | undefined;
    onHidden?: ((...args: any[]) => any) | undefined;
    onClick?: ((...args: any[]) => any) | undefined;
}, {
    fixed: any;
    show: any;
    variant: string;
    rounded: string | boolean;
    opacity: string | number;
    zIndex: string | number;
    noWrap: any;
    blur: string;
    noFade: any;
    noCenter: any;
    overlayTag: string;
    spinnerSmall: any;
    spinnerType: any;
    wrapTag: string;
}>;
export default _sfc_main;
