import { PropType, VNode } from 'vue';
import type { Booleanish, ColorVariant } from '../../types';
export declare const SLOT_NAME_TOAST_TITLE = "toast-title";
declare const _sfc_main: import("vue").DefineComponent<{
    delay: {
        type: NumberConstructor;
        default: number;
    };
    bodyClass: {
        type: StringConstructor;
    };
    body: {
        type: PropType<string | VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | undefined>;
    };
    headerClass: {
        type: StringConstructor;
    };
    headerTag: {
        type: StringConstructor;
        default: string;
    };
    animation: {
        type: PropType<Booleanish>;
        default: boolean;
    };
    id: {
        type: StringConstructor;
    };
    isStatus: {
        type: PropType<Booleanish>;
        default: boolean;
    };
    autoHide: {
        type: PropType<Booleanish>;
        default: boolean;
    };
    noCloseButton: {
        type: PropType<Booleanish>;
        default: boolean;
    };
    noFade: {
        type: PropType<Booleanish>;
        default: boolean;
    };
    noHoverPause: {
        type: PropType<Booleanish>;
        default: boolean;
    };
    solid: {
        type: PropType<Booleanish>;
        default: boolean;
    };
    static: {
        type: PropType<Booleanish>;
        default: boolean;
    };
    title: {
        type: StringConstructor;
    };
    modelValue: {
        type: PropType<Booleanish>;
        default: boolean;
    };
    toastClass: {
        type: PropType<string[]>;
    };
    variant: {
        type: PropType<ColorVariant>;
    };
    active: {
        type: PropType<Booleanish>;
        default: boolean;
    };
    activeClass: {
        type: StringConstructor;
        default: string;
    };
    append: {
        type: PropType<Booleanish>;
        default: boolean;
    };
    disabled: {
        type: PropType<Booleanish>;
        default: boolean;
    };
    event: {
        type: (StringConstructor | ArrayConstructor)[];
        default: string;
    };
    exact: {
        type: PropType<Booleanish>;
        default: boolean;
    };
    exactActiveClass: {
        type: StringConstructor;
        default: string;
    };
    href: {
        type: StringConstructor;
    };
    rel: {
        type: StringConstructor;
        default: null;
    };
    replace: {
        type: PropType<Booleanish>;
        default: boolean;
    };
    routerComponentName: {
        type: StringConstructor;
        default: string;
    };
    routerTag: {
        type: StringConstructor;
        default: string;
    };
    target: {
        type: PropType<import("../../types/LinkTarget").default>;
        default: string;
    };
    to: {
        type: PropType<import("vue-router").RouteLocationRaw>;
        default: null;
    };
}, () => VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:modelValue" | "destroyed")[], "update:modelValue" | "destroyed", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    delay: {
        type: NumberConstructor;
        default: number;
    };
    bodyClass: {
        type: StringConstructor;
    };
    body: {
        type: PropType<string | VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | undefined>;
    };
    headerClass: {
        type: StringConstructor;
    };
    headerTag: {
        type: StringConstructor;
        default: string;
    };
    animation: {
        type: PropType<Booleanish>;
        default: boolean;
    };
    id: {
        type: StringConstructor;
    };
    isStatus: {
        type: PropType<Booleanish>;
        default: boolean;
    };
    autoHide: {
        type: PropType<Booleanish>;
        default: boolean;
    };
    noCloseButton: {
        type: PropType<Booleanish>;
        default: boolean;
    };
    noFade: {
        type: PropType<Booleanish>;
        default: boolean;
    };
    noHoverPause: {
        type: PropType<Booleanish>;
        default: boolean;
    };
    solid: {
        type: PropType<Booleanish>;
        default: boolean;
    };
    static: {
        type: PropType<Booleanish>;
        default: boolean;
    };
    title: {
        type: StringConstructor;
    };
    modelValue: {
        type: PropType<Booleanish>;
        default: boolean;
    };
    toastClass: {
        type: PropType<string[]>;
    };
    variant: {
        type: PropType<ColorVariant>;
    };
    active: {
        type: PropType<Booleanish>;
        default: boolean;
    };
    activeClass: {
        type: StringConstructor;
        default: string;
    };
    append: {
        type: PropType<Booleanish>;
        default: boolean;
    };
    disabled: {
        type: PropType<Booleanish>;
        default: boolean;
    };
    event: {
        type: (StringConstructor | ArrayConstructor)[];
        default: string;
    };
    exact: {
        type: PropType<Booleanish>;
        default: boolean;
    };
    exactActiveClass: {
        type: StringConstructor;
        default: string;
    };
    href: {
        type: StringConstructor;
    };
    rel: {
        type: StringConstructor;
        default: null;
    };
    replace: {
        type: PropType<Booleanish>;
        default: boolean;
    };
    routerComponentName: {
        type: StringConstructor;
        default: string;
    };
    routerTag: {
        type: StringConstructor;
        default: string;
    };
    target: {
        type: PropType<import("../../types/LinkTarget").default>;
        default: string;
    };
    to: {
        type: PropType<import("vue-router").RouteLocationRaw>;
        default: null;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    onDestroyed?: ((...args: any[]) => any) | undefined;
}, {
    replace: Booleanish;
    modelValue: Booleanish;
    disabled: Booleanish;
    solid: Booleanish;
    exact: Booleanish;
    static: Booleanish;
    animation: Booleanish;
    active: Booleanish;
    activeClass: string;
    append: Booleanish;
    event: string | unknown[];
    exactActiveClass: string;
    rel: string;
    routerComponentName: string;
    routerTag: string;
    target: import("../../types/LinkTarget").default;
    to: import("vue-router").RouteLocationRaw;
    headerTag: string;
    noFade: Booleanish;
    delay: number;
    isStatus: Booleanish;
    autoHide: Booleanish;
    noCloseButton: Booleanish;
    noHoverPause: Booleanish;
}>;
export default _sfc_main;
